Subject: Re: Updating glibc on SELF image

From: Dave Cogley <[email-masked]>
Date: Thu, 19 Jun 2008 11:45:49 -0700

Can someone provide a comprehensive guide for building SELF images from
scratch? More specifically how to install dependency libraries?

Thanks,
Dave

On Wed, 2008-06-18 at 14:35 -0700, Dave Cogley wrote:
> Hi,
> 
> I am having some trouble with building my SELF image on a Sequoia board.
> I am trying to update some shared library components on the "stock" DENX
> provided JFFS file system image.
> 
> While running over an NFS root I was able to successfully mount my MTD
> device and manually copy libraries my application requires to the SELF
> image. This appears to work for most the libraries that are non existent
> on the default image (libreadline, libXml etc.). 
> 
> The problem is that when developing on the NFS partition (flash_nfs) the
> glic version in use is 2.6 and the SELF image only has 2.3.5. I manually
> copy over the libc-2.6.so library from the NFS image to the SELF image
> and create a new symbolic link "libc.so.6". Now while booting up with
> 2.6 I get segfaults on start-up daemons and my application segfaults
> when starting as well. Changing the link back to the 2.3.5 library
> everything works fine (except my application which requires 2.4).
> 
> The glibc library I am attempting to use is compiled for the ppc
> architecture and works fine on the NFS partition. Am I missing something
> else that needs to be updated for the glibc library? Is there anyway I
> can update this library on the SELF image without installing make and
> gcc?
> 
> Thank You,
> Dave Cogley
> 
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded